/*
 * controletptestxddd.c
 *
 * Created: 04/04/2021 15:10:52
 * Author : Alzyohan
 */ 

#include <avr/io.h>
void ADC_init(void);
char ADC_read_value(void);

int main(void)
{
	ADC_init();
	DDRB=0xFF;
	while(1){
		PORTB=~ADC_read_value();
    };
}

void ADC_init(void)
{
	DDRA &=~(1<<PA2);
	ADMUX |= (2<<MUX0);
	ADCSRA|=(1<<ADEN)|(3<<ADPS1);
}

char ADC_read_value(void)
{
	ADCSRA|=(1<<ADSC);
	do{
		//nothing
	}while((ADCSRA&(1<<ADIF))==0);
	
	ADCSRA|=(1<<ADIF);
	return ADCL;
}